[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TDataSet.FindPrior

Find the previous active record (deprecated)

## Declaration

Source position: db.pas line 1694

`public function TDataSet.FindPrior: Boolean; virtual;`

## Function result

True if the cursor position was changed.

## Description

FindPrior positions the cursor on the previous record (taking into account filtering), and returns True if the cursor position was changed. This method must be implemented by descendents of TDataset: The implementation in TDataset always returns False, indicating that the position was not changed.

This method is deprecated, use TDataset.Prior instead.

## See also

TDataset.Prior |  | Go to the previous record
TDataset.FindFirst |  | Find the first active record (deprecated)
TDataset.FindLast |  | Find the last active record (deprecated)
TDataset.FindPrior |  | Find the previous active record (deprecated)